---
lang: en
title: 'API docs: security.defaultsubject.addapplication'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.defaultsubject.addapplication.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [DefaultSubject](./security.defaultsubject.md) &gt; [addApplication](./security.defaultsubject.addapplication.md)

## DefaultSubject.addApplication() method

**Signature:**

```typescript
addApplication(app: ClientApplication): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

app


</td><td>

[ClientApplication](./security.clientapplication.md)


</td><td>


</td></tr>
</tbody></table>
**Returns:**

void


